org.apache.maven.scm.provider.accurev.command

## Class AbstractAccuRevCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.provider.accurev.command.AbstractAccuRevCommand

All Implemented Interfaces:
  Command

Direct Known Subclasses:
  AbstractAccuRevExtractSourceCommand, AccuRevAddCommand, AccuRevBlameCommand, AccuRevChangeLogCommand, AccuRevCheckInCommand, AccuRevLoginCommand, AccuRevRemoveCommand, AccuRevStatusCommand, AccuRevTagCommand, AccuRevUpdateCommand

    public abstract class AbstractAccuRevCommand
    extends AbstractCommand

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractAccuRevCommand(ScmLogger logger)`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract ScmResult` `executeAccurevCommand(AccuRevScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected ScmResult` `executeCommand(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected static List<ScmFile>` `getScmFiles(List<File> files, ScmFileStatus status)`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractAccuRevCommand

    public AbstractAccuRevCommand(ScmLogger logger)

### Method Detail

#### executeAccurevCommand

    protected abstract ScmResult executeAccurevCommand(AccuRevScmProviderRepository repository,
                                                       ScmFileSet fileSet,
                                                       CommandParameters parameters)
                                                throws ScmException,
                                                       AccuRevException

Throws:
  `ScmException`
  `AccuRevException`

#### executeCommand

    protected final ScmResult executeCommand(ScmProviderRepository repository,
                                             ScmFileSet fileSet,
                                             CommandParameters parameters)
                                      throws ScmException

Specified by:
  `executeCommand` in class `AbstractCommand`
Throws:
  `ScmException`

#### getScmFiles

    protected static List<ScmFile> getScmFiles(List<File> files,
                                               ScmFileStatus status)